Subject: Re: [PATCH 1/3] patch-id: make it stable against hunk reordering

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Mar 2014 09:58:41 -0700

"Michael S. Tsirkin" <[email-masked]> writes:

> Patch id changes if you reorder hunks in a diff.

If you reorder hunks, the patch should no longer apply [*1*], so a
feature to make patch-id stable across such move would have no
practical use ;-), but I am guessing you meant something else.

Perhaps this is about using "-O <orderfile>" option, even though you
happened to have implemented the id mixing at per-hunk level?

[Footnote]

*1* It has been a long time since I looked at the code, and I do not
know offhand if "git apply" has such a bug not to diagnose a hunk
for a file for an earlier part that comes later in its input stream
after seeing another hunk for the same file as a bug. If it does
not, perhaps we should.